Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase.custom
Class DefaultCustomSolverPhase

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhase
          org.drools.planner.core.phase.custom.DefaultCustomSolverPhase

All Implemented Interfaces:
  EventListener, CustomSolverPhase, SolverPhaseLifecycleListener, SolverPhase, SolverLifecycleListener

    public class DefaultCustomSolverPhase

extends AbstractSolverPhase
implements CustomSolverPhase

Default implementation of `CustomSolverPhase`.

Field Summary
`protected List<CustomSolverPhaseCommand>` | `customSolverPhaseCommandList`
`protected boolean` | `forceUpdateBestSolution`

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultCustomSolverPhase()`

Method Summary
`void` | `phaseEnded(CustomSolverPhaseScope phaseScope)`
`void` | `phaseStarted(CustomSolverPhaseScope phaseScope)`
`void` | `setCustomSolverPhaseCommandList(List<CustomSolverPhaseCommand> customSolverPhaseCommandList)`
`void` | `setForceUpdateBestSolution(boolean forceUpdateBestSolution)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `stepEnded(CustomStepScope stepScope)`
`void` | `stepStarted(CustomStepScope stepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, getTermination, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setTermination, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### customSolverPhaseCommandList

    protected List<CustomSolverPhaseCommand> customSolverPhaseCommandList

### forceUpdateBestSolution

    protected boolean forceUpdateBestSolution

Constructor Detail

### DefaultCustomSolverPhase

    public DefaultCustomSolverPhase()

Method Detail

### setCustomSolverPhaseCommandList

    public void setCustomSolverPhaseCommandList(List<CustomSolverPhaseCommand> customSolverPhaseCommandList)

### setForceUpdateBestSolution

    public void setForceUpdateBestSolution(boolean forceUpdateBestSolution)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### phaseStarted

    public void phaseStarted(CustomSolverPhaseScope phaseScope)

### stepStarted

    public void stepStarted(CustomStepScope stepScope)

### stepEnded

    public void stepEnded(CustomStepScope stepScope)

### phaseEnded

    public void phaseEnded(CustomSolverPhaseScope phaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.